package com.audio.record.screen.test.tool

import android.content.Context
import android.content.Intent
import android.content.pm.PackageManager
import android.net.Uri
import android.os.Build
import android.provider.Settings
import androidx.core.content.ContextCompat

object Permission {


    /**
     * 检查通知权限
     */
    fun checkNotification(mContext:Context,result:(b:Boolean)->Unit){
        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.TIRAMISU) {
            if (ContextCompat.checkSelfPermission(
                    mContext,
                    android.Manifest.permission.POST_NOTIFICATIONS
                )
                != PackageManager.PERMISSION_GRANTED
            ) {
                result.invoke(false)
            } else {
                // 权限已授予，可以发送通知
                Common.showLog("权限已授予，可以发送通知")
                result.invoke(true)
            }
        } else {
            // Android 12 及以下，不需要请求权限
            Common.showLog("不需要请求权限")
            result.invoke(true)

        }
    }


    /**
     * 检查悬浮窗权限
     */
    fun checkOvalApp(mContext:Context,result:(b:Boolean)->Unit){
        if (!Settings.canDrawOverlays(mContext)) {
            result.invoke(false)
        }else{
            result.invoke(true)
        }
    }


    /**
     * 检查摄像头权限
     */
      fun checkCamera(mContext:Context,result:(b:Boolean)->Unit) {
        if (ContextCompat.checkSelfPermission(
                mContext,
                android.Manifest.permission.CAMERA
            )
            != PackageManager.PERMISSION_GRANTED
        ) {
            result.invoke(false)
        } else {
            result.invoke(true)
            Common.showLog("权限已授予 CAMERA")

        }
    }
}